Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List redirects

Lists redirects (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/redirects
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
redirect-idstring[]

Repeatable redirect id

item-idstring[]

Repeatable item id

typestring[]

Repeatable redirect type

localestring[]

Repeatable locale

Responses
200

OK

dataRedirectBase[]required
Show properties
Array of RedirectBase
idUUIDrequired
item_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
old_slugstringrequired
new_slugstringrequired
typestringrequired
localestringrequired
created_atstring<date-time>
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/redirects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "old_slug": "string",
      "new_slug": "string",
      "type": "string",
      "locale": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}